Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87975 - comments in httpd.conf references incorrect virtual host query syntax
Summary: comments in httpd.conf references incorrect virtual host query syntax
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-04 05:08 UTC by Karsten Wade
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version: 2.0.45-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-13 13:13:33 UTC


Attachments (Terms of Use)

Description Karsten Wade 2003-04-04 05:08:21 UTC
Description of problem:
The file /etc/httpd/conf/httpd.conf has a reference to the command 'httpd -S' to
query the format/syntax of the virtual host section.  This syntax has changed to
 the following:

  -t -D DUMP_VHOSTS : show parsed settings (currently only vhost settings)
  -t                : run syntax check for config files

The section in question appears at the end of the file; the line number is 1013
in the default install file:

# You may use the command line option '-S' to verify your virtual host
# configuration.

The lines above that point the user at the following URL for Apache documentation:

  http://httpd.apache.org/docs-2.0/vhosts/

That URL repeats the documentation error, and in fact offers a command which
does not work:

  [root@hostname root]# /usr/local/apache2/bin/httpd -S
  -bash: /usr/local/apache2/bin/httpd: No such file or directory

The application 'httpd' is now in /usr/sbin/.


Version-Release number of selected component (if applicable):

httpd-2.0.40-11
Red Hat Linux 8.0 on i386
  2.4.18-27.8.0
  All errata installed
  No customizations to installed paths/procedures

How reproducible:

So far, always in all installs I have seen of 8.0.  The -S option works in at
least Red Hat Enterprise Linux AS (2.1), so I presume this was changed and not
correctly documented by the Apache project.

Steps to Reproduce:
1. Install Apache package for Red Hat Linux 8.0
2. Check file /etc/httpd/conf/httpd.conf, line 1013
3. Try that command, note return of --help results for httpd
    
Actual results:

The documented step 'httpd -S' no longer tests the syntax of httpd.conf, 'httpd
-t' does

Expected results:

That the option change is documented correctly.

Additional info:

Comment 1 Joe Orton 2003-04-04 08:58:33 UTC
Thanks for the report; yes, this comment should give "-t -D DUMP_VHOSTS" for
this version.

Comment 2 Joe Orton 2003-05-13 13:13:33 UTC
I won't change the default config in an erratum, so this won't get fixed for 8.0
or 9 - the comment is now correct for 2.0.45 in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.